com.icesoft.faces.component.ext

## Class RowSelector

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - com.icesoft.faces.component.ext.RowSelector

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class RowSelector
      extends javax.faces.component.UIPanel

  Created by IntelliJ IDEA. User: rmayhew Date: Aug 28, 2006 Time: 12:45:26 PM To change this template use File | Settings | File Templates.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`
    `static int` | `DEFAULT_DBLCLICK_DELAY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowSelector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `javax.faces.el.MethodBinding` | `getClickAction()`
    `java.lang.Integer` | `getClickedRow()`
    `javax.faces.el.MethodBinding` | `getClickListener()`
    `java.lang.Integer` | `getDblClickDelay()`
    `java.lang.String` | `getFamily()`
    `java.lang.Boolean` | `getImmediate()`
    `java.lang.String` | `getMouseOverClass()`
    `java.lang.Boolean` | `getMultiple()`
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getSelectedClass()`
    `java.lang.String` | `getSelectedMouseOverClass()`
    `javax.faces.el.MethodBinding` | `getSelectionAction()`
    `javax.faces.el.MethodBinding` | `getSelectionListener()`
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTabindex()`
    `java.lang.Boolean` | `getToggleOnClick()`
    `java.lang.Boolean` | `getToggleOnInput()`
    `java.lang.Boolean` | `getValue()`
    `boolean` | `isEnhancedMultiple()`
    `boolean` | `isKeyboardNavigationEnabled()`
    `boolean` | `isPreStyleOnSelection()`
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `boolean` | `isSingleRowAutoSelect()`
    `void` | `processDecodes(javax.faces.context.FacesContext facesContext)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object stateIn)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setClickAction(javax.faces.el.MethodBinding clickAction)`
    `void` | `setClickedRow(java.lang.Integer clickedRow)`
    `void` | `setClickListener(javax.faces.el.MethodBinding clickListener)`
    `void` | `setDblClickDelay(java.lang.Integer dblClickDelay)`
    `void` | `setEnhancedMultiple(boolean enhancedMultiple)`
    `void` | `setImmediate(java.lang.Boolean immediate)`
    `void` | `setKeyboardNavigationEnabled(boolean keyboardNavigationEnabled)`
    `void` | `setMouseOverClass(java.lang.String mouseOverClass)`
    `void` | `setMultiple(java.lang.Boolean multiple)`
    `void` | `setPreStyleOnSelection(boolean preStyleOnSelection)`
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setSelectedClass(java.lang.String selectedClass)`
    `void` | `setSelectedMouseOverClass(java.lang.String selectedMouseOverClass)`
    `void` | `setSelectionAction(javax.faces.el.MethodBinding selectionListener)`
    `void` | `setSelectionListener(javax.faces.el.MethodBinding selectionListener)`
    `void` | `setSingleRowAutoSelect(boolean singleRowAutoSelect)`
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTabindex(java.lang.String tabindex)`
    `void` | `setToggleOnClick(java.lang.Boolean toggleOnClick)`
    `void` | `setToggleOnInput(java.lang.Boolean toggleOnInput)`
    `void` | `setValue(java.lang.Boolean value)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### DEFAULT_DBLCLICK_DELAY

          public static final int DEFAULT_DBLCLICK_DELAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RowSelector

          public RowSelector()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### getValue

          public java.lang.Boolean getValue()

    - #### setValue

          public void setValue(java.lang.Boolean value)

    - #### getClickedRow

          public java.lang.Integer getClickedRow()

    - #### setClickedRow

          public void setClickedRow(java.lang.Integer clickedRow)

    - #### isEnhancedMultiple

          public boolean isEnhancedMultiple()

    - #### setEnhancedMultiple

          public void setEnhancedMultiple(boolean enhancedMultiple)

    - #### getMultiple

          public java.lang.Boolean getMultiple()

    - #### setMultiple

          public void setMultiple(java.lang.Boolean multiple)

    - #### getToggleOnClick

          public java.lang.Boolean getToggleOnClick()

    - #### setToggleOnClick

          public void setToggleOnClick(java.lang.Boolean toggleOnClick)

    - #### getToggleOnInput

          public java.lang.Boolean getToggleOnInput()

    - #### setToggleOnInput

          public void setToggleOnInput(java.lang.Boolean toggleOnInput)

    - #### getMouseOverClass

          public java.lang.String getMouseOverClass()

    - #### setMouseOverClass

          public void setMouseOverClass(java.lang.String mouseOverClass)

    - #### getSelectedClass

          public java.lang.String getSelectedClass()

    - #### setSelectedClass

          public void setSelectedClass(java.lang.String selectedClass)

    - #### getSelectedMouseOverClass

          public java.lang.String getSelectedMouseOverClass()

    - #### setSelectedMouseOverClass

          public void setSelectedMouseOverClass(java.lang.String selectedMouseOverClass)

    - #### getSelectionListener

          public javax.faces.el.MethodBinding getSelectionListener()

    - #### setSelectionListener

          public void setSelectionListener(javax.faces.el.MethodBinding selectionListener)

    - #### getSelectionAction

          public javax.faces.el.MethodBinding getSelectionAction()

    - #### setSelectionAction

          public void setSelectionAction(javax.faces.el.MethodBinding selectionListener)

    - #### getClickListener

          public javax.faces.el.MethodBinding getClickListener()

    - #### setClickListener

          public void setClickListener(javax.faces.el.MethodBinding clickListener)

    - #### getClickAction

          public javax.faces.el.MethodBinding getClickAction()

    - #### setClickAction

          public void setClickAction(javax.faces.el.MethodBinding clickAction)

    - #### getDblClickDelay

          public java.lang.Integer getDblClickDelay()

    - #### setDblClickDelay

          public void setDblClickDelay(java.lang.Integer dblClickDelay)

    - #### getImmediate

          public java.lang.Boolean getImmediate()

    - #### setImmediate

          public void setImmediate(java.lang.Boolean immediate)

    - #### isPreStyleOnSelection

          public boolean isPreStyleOnSelection()

    - #### setPreStyleOnSelection

          public void setPreStyleOnSelection(boolean preStyleOnSelection)

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext facesContext)

      Overrides:
        `processDecodes` in class `javax.faces.component.UIComponentBase`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object stateIn)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### isKeyboardNavigationEnabled

          public boolean isKeyboardNavigationEnabled()

    - #### setKeyboardNavigationEnabled

          public void setKeyboardNavigationEnabled(boolean keyboardNavigationEnabled)

    - #### isSingleRowAutoSelect

          public boolean isSingleRowAutoSelect()

    - #### setSingleRowAutoSelect

          public void setSingleRowAutoSelect(boolean singleRowAutoSelect)

    - #### setTabindex

          public void setTabindex(java.lang.String tabindex)

    - #### getTabindex

          public java.lang.String getTabindex()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.